# 62. Mutation: Del gårde

Batchdeling af gårde til brugere inden for "Organisationen" eller til eksterne brugere. Der er to tilfælde, hvor mutationen anvendes. Det første tilfælde er batch "Gård"-deling via e-mailliste.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    navn
    farmOwnership
    oprettetDato
    updatedDate
    email
  }
}

```

{% endcode %}

Og det andet tilfælde er at sætte flaget 'allFarms=true' for listen over "Brugere" i "Organisationen", hvilket betyder, at alle nye gårde inde i "Organisationen" vil være tilgængelige for disse "Brugere".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    navn
    farmOwnership
    oprettetDato
    updatedDate
    email
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/oversigt-over-geopard-api-anmodninger/62.-mutation-del-garde.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
